Package org.apache.maven.shared.model.fileset.mappers

# Class PackageNameMapper

java.lang.Object
org.apache.maven.shared.model.fileset.mappers.GlobPatternMapper
org.apache.maven.shared.model.fileset.mappers.PackageNameMapper

All Implemented Interfaces:
  `FileNameMapper`

public class PackageNameMapper extends GlobPatternMapper
Maps directory name matches into a dotted package name. This is useful for matching JUnit test cases against their XML formatter results.

     <mapper classname="org.apache.tools.ant.util.PackageNameMapper"
             from="*Test.java" to="${test.data.dir}/TEST-*Test.xml"/>

Version:
  $Id: PackageNameMapper.java 1721579 2015-12-23 21:08:39Z khmarbaise $

## Field Summary

### Fields inherited from class org.apache.maven.shared.model.fileset.mappers.GlobPatternMapper

`fromPostfix, fromPrefix, postfixLength, prefixLength, toPostfix, toPrefix`

## Constructor Summary

Constructors
Constructor
Description
`PackageNameMapper()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`extractVariablePart(String name)`
Returns the part of the given string that matches the * in the "from" pattern.

### Methods inherited from class org.apache.maven.shared.model.fileset.mappers.GlobPatternMapper

`mapFileName, setCaseSensitive, setFrom, setHandleDirSep, setTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackageNameMapper

public PackageNameMapper()

## Method Details

### extractVariablePart

protected String extractVariablePart(String name)
Returns the part of the given string that matches the * in the "from" pattern.

Overrides:
  `extractVariablePart` in class `GlobPatternMapper`
Parameters:
  `name` - the source file name
Returns:
  the variable part of the name